picard.fingerprint

## Class Snp

- java.lang.Object
- - picard.fingerprint.Snp

- All Implemented Interfaces:
    Comparable<Snp>

      public class Snp
      extends Object
      implements Comparable<Snp>

  Class to represent a SNP in context of a haplotype block that is used in fingerprinting.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Snp(String name, String chrom, int pos, byte allele1, byte allele2, double maf, List<String> fingerprintPanels)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(Snp that)`
    `boolean` | `equals(Object o)`
    `Snp` | `flip()` Returns a new SNP object with the alleles swapped and MAF corrected.
    `byte` | `getAllele1()`
    `byte` | `getAllele2()`
    `String` | `getAlleleString()`
    `String` | `getChrom()`
    `List<String>` | `getFingerprintPanels()`
    `DiploidGenotype` | `getHeterogyzousGenotype()`
    `DiploidGenotype` | `getHomozygousAllele1Genotype()`
    `DiploidGenotype` | `getHomozygousAllele2Genotype()`
    `double` | `getMaf()`
    `String` | `getName()`
    `int` | `getPos()`
    `int` | `hashCode()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Snp

          public Snp(String name,
                     String chrom,
                     int pos,
                     byte allele1,
                     byte allele2,
                     double maf,
                     List<String> fingerprintPanels)

  - ### Method Detail

    - #### flip

          public Snp flip()

      Returns a new SNP object with the alleles swapped and MAF corrected.

    - #### getName

          public String getName()

    - #### getChrom

          public String getChrom()

    - #### getPos

          public int getPos()

    - #### getAllele1

          public byte getAllele1()

    - #### getAllele2

          public byte getAllele2()

    - #### getMaf

          public double getMaf()

    - #### getFingerprintPanels

          public List<String> getFingerprintPanels()

    - #### getHomozygousAllele1Genotype

          public DiploidGenotype getHomozygousAllele1Genotype()

    - #### getHeterogyzousGenotype

          public DiploidGenotype getHeterogyzousGenotype()

    - #### getHomozygousAllele2Genotype

          public DiploidGenotype getHomozygousAllele2Genotype()

    - #### getAlleleString

          public String getAlleleString()

    - #### compareTo

          public int compareTo(Snp that)

      Specified by:
        `compareTo` in interface `Comparable<Snp>`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`